#ifndef PROGRESS_EVENT_H_INCLUDED
#define PROGRESS_EVENT_H_INCLUDED

#include <QEvent>

class ProgressEvent : public QEvent {

    QObject const *m_sender;
    int m_progressPercent;
public:
    explicit ProgressEvent(QObject const *sender, int progressPercent);
    virtual ~ProgressEvent();
    static QEvent::Type type();

    QObject const *sender() { return m_sender; }
    QObject const *sender() const { return m_sender; }

    void setProgress(int progressPercent) { m_progressPercent = progressPercent; }
    int progressPercent() { return m_progressPercent; }
    int progressPercent() const { return m_progressPercent; }
private:
    static QEvent::Type customEventType;
};


#endif // PROGRESS_EVENT_H_INCLUDED
